Data Templates and Custom Fields

In WorkDrive, you can create data templates and associate the required files and folders with them by adding custom information or properties. Once you associate files and folders to a data template with custom values, you can easily search for and manage data using the Data Templates filter. Learn more about Data Templates in WorkDrive

Custom Field Types

Custom Field TypeValue FormatSupported field_properties
textstring
  1. description
  2. default_value
  3. max_char_length
  4. is_mandatory
multiline_textstring
  1. description
  2. is_mandatory
numberall type of numeric value
  1. description
  2. default_value
  3. min_value
  4. max_value
  5. is_mandatory
datetimedate time in milli second
  1. description
  2. default_value
  3. is_mandatory
datedate in milli second
  1. description
  2. default_value
  3. is_mandatory
yes_or_noboolean
  1. description
  2. default_value
  3. is_mandatory
dropdownvalue in given choice list
  1. description
  2. default_value
  3. is_mandatory
radiovalue in given choice list
  1. description
  2. default_value
  3. is_mandatory
checkboxvalues in given choice list as JSON Array
  1. description
  2. default_value
  3. is_mandatory
emailvalid email address
  1. description
  2. is_mandatory
multi_emailvalid email address in JSON array format
  1. description
  2. is_mandatory
Download Data Templates and Custom Fields OpenAPI Document
Download






Create Data Template

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API creates a new data template.

A new 'data_template_id' is created when you create a new data template.

Endpoints

OAuth Scope

WorkDrive.datatemplates.CREATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/teams/{team_id}/datatemplates \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"name":"Recruitment - 2020","description":"Associate files and folders of all candidates registered for recruitment in 2020"},"type":"datatemplates"}}'

Path Parameters

team_idstring(Required)

A unique ID of the team in which the data template is created.

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
namestring(Required)

A name for the data template.

descriptionstring(Optional)

A description for the data template.

typestring(Required)

The JSON:API resource type. Always "datatemplates".

Allowed Values :
Show Values
datatemplatesCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "name": "Recruitment - 2020",
        "description": "Associate files and folders of all candidates registered for recruitment in 2020"
      },
      "type": "datatemplates"
    }
  }
                
Show full

Response Example

R008

CF036

CF036

CF050

CF052

F000

201
201
401
500
Copied!
  {
    "data": {
      "id": "nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001",
      "type": "datatemplates",
      "attributes": {
        "created_time_i18": "Sep 7, 6:40 PM",
        "name": "Recruitment - 2020",
        "modified_by": "15077877",
        "description": "Associate files and folders of all candidates registered for recruitment in 2020",
        "modified_by_user": "Anna Baker",
        "team_id": "nrkroc4c5f3259e2a410da17c3915ea990dde",
        "custom_fields_count": 0,
        "created_time_in_millisecond": 1631020235366,
        "created_by": "15077877",
        "created_by_user": "Anna Baker",
        "status": true
      },
      "relationships": {
        "customfields": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/datatemplates/nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001/relationships/customfields",
            "related": "https://www.zohoapis.com/workdrive/api/v1/datatemplates/nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001/customfields"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/datatemplates/nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "CF036",
        "title": "Duplicate dataTemplateName found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "CF050",
        "title": "Empty or same dataTemplate Name is not allowed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "CF052",
        "title": "Max template count reached"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full